Packaging - Feature #13376

Rebuild packages under ror42 SCL
01/26/2016 06:22 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: RPMs
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/1088

Description
The tfm SCL and all SCL packages should be rebuilt against a ror42 collection, alongside a RoR 4.2 upgrade in #13244.

This will probably be sclo-ror42, which I'm developing in the CentOS SCLo SIG.

Related issues:
Blocks Foreman - Tracker #13243: Rails 4.2 upgrade tasks Resolved 01/15/2016
Blocked by Packaging - Feature #12912: Switch to CentOS SCLorg SIG repository Closed 12/22/2015

Associated revisions

Revision 6adc1d47 - 04/18/2016 06:15 AM - Dominic Cleal
fixes #13376 - rebuild tfm against sclo-ror42

Revision 1200889 - 04/20/2016 11:20 AM - Dominic Cleal

Merge pull request #1088 from domcleal/rpm/develop-ror42

fixes #13376 - Rails 4.2, rebuild tfm against sclo-ror42 [rpm]

History

#1 - 02/25/2016 04:28 AM - Dominic Cleal
- Blocks Tracker #13243: Rails 4.2 upgrade tasks added

#2 - 03/03/2016 08:21 AM - Dominic Cleal
- Related to Feature #12912: Switch to CentOS SCLorg SIG repository added

#3 - 03/03/2016 08:22 AM - Dominic Cleal
- Related to deleted (Feature #12912: Switch to CentOS SCLorg SIG repository)

#4 - 03/03/2016 08:22 AM - Dominic Cleal
- Blocked by Feature #12912: Switch to CentOS SCLorg SIG repository added

#5 - 03/03/2016 08:22 AM - Dominic Cleal

A branch with these changes on is at https:/github.com/domcleal/foreman-packaging/commits/rpm/develop-ror42, along with a copr repo of builds at
https://copr.fedorainfracloud.org/coprs/domcleal/foreman-ror42/ (depends on sclo-ror42 from the CentOS SCLo SIG).

#6 - 04/12/2016 06:07 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-packaging/pull/1088 added

#7 - 04/20/2016 12:04 PM - Dominic Cleal
https://projects.theforeman.org/issues/13244
https://wiki.centos.org/SpecialInterestGroup/SCLo
https://github.com/domcleal/foreman-packaging/commits/rpm/develop-ror42
https://copr.fedorainfracloud.org/coprs/domcleal/foreman-ror42/

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6adc1d47a0bcfa400217054389b415bda86e5e82.

#8 - 04/21/2016 04:11 AM - Dominic Cleal

- translation missing: en.field_release set to 136
https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/6adc1d47a0bcfa400217054389b415bda86e5e82
